Package icyllis.modernui.text.style

# Class UnderlineSpan

java.lang.Object
icyllis.modernui.text.style.CharacterStyle
icyllis.modernui.text.style.UnderlineSpan

All Implemented Interfaces:
  `ParcelableSpan`, `UpdateAppearance`, `Parcelable`

public class UnderlineSpan extends CharacterStyle implements UpdateAppearance, ParcelableSpan
A span that underlines the text it's attached to.

The span can be used like this:

     SpannableString string = new SpannableString("Text with underline span");
     string.setSpan(new UnderlineSpan(), 10, 19, Spanned.SPAN_EXCLUSIVE_EXCLUSIVE);

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface icyllis.modernui.util.Parcelable

  `Parcelable.ClassLoaderCreator<T>, Parcelable.Creator<T>, Parcelable.WriteFlags`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UnderlineSpan()`
  Creates an `UnderlineSpan`.
  `UnderlineSpan(Parcel src)`
  Creates an `UnderlineSpan` from a parcel.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getSpanTypeId()`
  Return a special type identifier for this span class.
  `void`
  `updateDrawState(TextPaint paint)`
  `void`
  `writeToParcel(Parcel dest, int flags)`
  The subclass implements the method to flatten its contents by calling the methods of `Parcel` for its primitive values.

  ### Methods inherited from class icyllis.modernui.text.style.CharacterStyle

  `getUnderlying, wrap`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### UnderlineSpan

    public UnderlineSpan()
    Creates an `UnderlineSpan`.

  - ### UnderlineSpan

    public UnderlineSpan(@NonNull Parcel src)
    Creates an `UnderlineSpan` from a parcel.

- ## Method Details

  - ### getSpanTypeId

    public int getSpanTypeId()
    Description copied from interface: `ParcelableSpan`
    Return a special type identifier for this span class.
    Specified by:
      `getSpanTypeId` in interface `ParcelableSpan`

  - ### writeToParcel

    public void writeToParcel(@NonNull Parcel dest, int flags)
    Description copied from interface: `Parcelable`
    The subclass implements the method to flatten its contents by calling the methods of `Parcel` for its primitive values.
    Specified by:
      `writeToParcel` in interface `Parcelable`
    Parameters:
      `dest` - the parcel to write the object's data to
      `flags` - the flags about how the object should be written

  - ### updateDrawState

    public void updateDrawState(@NonNull TextPaint paint)
    Specified by:
      `updateDrawState` in class `CharacterStyle`